﻿using Squirrel.DataModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Squirrel.StoragesContracts;

public interface IGuestStorageContract
{
    List<GuestDataModel> GetList();
    GuestDataModel? GetElementById(string id);
    GuestDataModel? GetElementByPhoneNumber(string phoneNumber);
    GuestDataModel? GetElementByFIO(string fio);
    void AddElement(GuestDataModel guestDataModel);
    void UpdElement(GuestDataModel guestDataModel);
    void DelElement(string id);
}
